Page MenuHomePhabricator

Plural form count incorrect when plural (or other magic word) used inside plural
Closed, ResolvedPublic

Description

When a language has two plural forms, and this is expressed as:

{{PLURAL:$1|Form 1|Plural {{PLURAL:$1|Form 1|Form 2}}}}, the checker counts 4 forms and marks a saved message incorrectly as fuzzy.

See URL field for report on translatewiki.net. See [1] for example.

[1] https://translatewiki.net/w/i.php?title=MediaWiki:Category-file-count/bar&action=edit


Version: master
Severity: minor
URL: https://translatewiki.net/wiki/Thread:Support/About_MediaWiki:Category-file-count/bar

Details

Reference
bz42631

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 1:11 AM
bzimport set Reference to bz42631.
siebrand created this task.Dec 2 2012, 7:34 PM

Setting to high. 3 or 4 threads on twn's Support page already.

Lowering severity. Even though there are 3 or 4 threads, there is only 1 known message that has this issue.

Related URL: https://gerrit.wikimedia.org/r/66952 (Gerrit Change Ic232bb15fb42f478eed6682dde5141948a1516d8)

I submitted gerrit 66952 as a work around. Not sure if it will actually work. I've added Niklas as a reviewer.

(In reply to comment #5)

I submitted Gerrit change #66952 as a work around. Not sure if it will
actually work.
I've added Niklas as a reviewer.

It was merged but I'm not sure it solved the issue completely.
Here it counts 4 forms (rather than 3+1) but says it accepts only 2 (apart from 1= and 0=): https://translatewiki.net/w/i.php?title=MediaWiki:Twnmp-translations-translator-ranking/it&diff=5009233&oldid=5009153
I don't know if it's related.

Change 85953 had a related patch set uploaded by Nikerabbit:
Fix bogus incorrect plural form warnings with pipes in submagic

https://gerrit.wikimedia.org/r/85953

Change 85953 merged by jenkins-bot:
Fix bogus incorrect plural form warnings with pipes in submagic

https://gerrit.wikimedia.org/r/85953

Nnemo added a subscriber: Nnemo.Sep 29 2015, 9:05 AM